aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorRobert Lipe <robertlipe@usa.net>1999-02-04 08:07:51 +0000
committerRobert Lipe <robertl@gcc.gnu.org>1999-02-04 08:07:51 +0000
commit7a19950eda0f37f205219e5a9c61477051c7f681 (patch)
treef8c2bf80c6c62c02a20d276d933824abfcc8fcdf /contrib
parent2d7423ebf516882b0475719c3f00cc60e7ecd4f4 (diff)
downloadgcc-7a19950eda0f37f205219e5a9c61477051c7f681.zip
gcc-7a19950eda0f37f205219e5a9c61477051c7f681.tar.gz
gcc-7a19950eda0f37f205219e5a9c61477051c7f681.tar.bz2
egcs_update: Test return values of 'cvs update'.
* egcs_update: Test return values of 'cvs update'. Propogate to caller as exit values. From-SVN: r25021
Diffstat (limited to 'contrib')
-rw-r--r--contrib/ChangeLog5
-rwxr-xr-xcontrib/egcs_update8
2 files changed, 13 insertions, 0 deletions
diff --git a/contrib/ChangeLog b/contrib/ChangeLog
index e5decf4..63d2130 100644
--- a/contrib/ChangeLog
+++ b/contrib/ChangeLog
@@ -1,3 +1,8 @@
+1999-02-04 Robert Lipe <robertlipe@usa.net>
+
+ * egcs_update: Test return values of 'cvs update'. Propogate
+ to caller as exit values.
+
1999-01-25 Gerald Pfeifer <pfeifer@dbai.tuwien.ac.at>
* egcs_update: Use "if" instead of "&&". Touch generated files
diff --git a/contrib/egcs_update b/contrib/egcs_update
index 7a0f69e..6882b23 100755
--- a/contrib/egcs_update
+++ b/contrib/egcs_update
@@ -58,10 +58,18 @@ do
fi
done`
cvs -q update $X
+if [ $? -ne 0 ]; then
+ echo "CVS update of generated files failed." >&2
+ exit 1
+fi
echo "Pass 2: Updating full tree"
cvs -q update ${1+"$@"}
+if [ $? -ne 0 ]; then
+ echo "CVS update of full tree failed." >&2
+ exit 1
+fi
echo "Pass 3: Fixing local tree"
# Please also update the FAQ accordingly if you change the list of